Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-01-2020 14:32:25

liovay
Membre
Lieu : Rosny-Sous-Bois
Distrib. : Debian 10 Buster
Noyau : Linux 5.4.0-0.bpo.2-amd64
(G)UI : XFCE 4.12
Inscription : 21-10-2017

Installation Darktable 3.0 sur Buster

Bonjour,
Actuellement sur debian 10 Buster, je souhaite installer Darktable en version 3.0 (la version stable/buster est la 2.6).

A partir de experimental, seule branche avec darktable est en version 3.0, ça ne fonctionne pas à cause de 3 paquets
- Ajout du dépôt expérimental

nano /etc/apt/sources.list


ajout en fin de fichier : deb http://deb.debian.org/debian experimental main contrib non-free

- Mise à jour et installation depuis experimental

apt-get update
apt-get -t experimental install darktable



L'installation retourne ceci :

Les paquets suivants contiennent des dépendances non satisfaites :
 darktable : Dépend: libc6 (>= 2.29) mais 2.28-10 devra être installé
             Dépend: libilmbase24 (>= 2.3.0) mais il n'est pas installable
             Dépend: libopenexr24 (>= 2.3.0) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».



Une autre solution serait de suivre l'installation depuis la source, sur le https://www.darktable.org/install/, mais il semble que les dépendances citées ne sont pas pour debian.

Quelqu'un aurait-il trouvé une issue ?
Merci à vous.

Hors ligne

#2 21-01-2020 18:37:25

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : Installation Darktable 3.0 sur Buster

Bonjour,
Le site darktable propose un lien pour un dépôt tiers pour avoir un paquet pour debian 10 en deb
https://software.opensuse.org/download. … =darktable
on peut télécharger directement le paquet
c'est lui que tu as essayé ?

Pour tes messages au-dessus, libc6 est un paquet clé du système donc si tu le changes, tu mets buster en mauvaise posture

Hors ligne

#3 21-01-2020 19:45:16

deuchdeb
Moderato ma non troppo
Lieu : Ca bouge Ca bouge!!!
Distrib. : Debian 10 Buster et DFlinux
Noyau : Noyau stable
(G)UI : KDE Plasma 5.14 et Xfce
Inscription : 13-01-2010
Site Web

Re : Installation Darktable 3.0 sur Buster


Une fleur, c'est magique non? smile
Association Debian Facile

Hors ligne

#4 21-01-2020 20:11:17

liovay
Membre
Lieu : Rosny-Sous-Bois
Distrib. : Debian 10 Buster
Noyau : Linux 5.4.0-0.bpo.2-amd64
(G)UI : XFCE 4.12
Inscription : 21-10-2017

Re : Installation Darktable 3.0 sur Buster

Merci Chalu.
Donc on oublie la branche experimental, je la retire mon sources.list (je n'aurai pas su faire pour libc6).

Oui, j'ai aussi essayé https://software.opensuse.org/download. … =darktable, après suppression de ma version actuelle.

echo 'deb http://download.opensuse.org/repositories/graphics:/darktable/Debian_10/ /' > /etc/apt/sources.list.d/graphics:darktable.list
wget -nv https://download.opensuse.org/repositories/graphics:darktable/Debian_10/Release.key -O Release.key
apt-key add - < Release.key
apt-get update
apt-get install darktable


L'installation retourne :

Réception de :1 http://deb.debian.org/debian buster/main amd64 darktable amd64 2.6.0-1 [3355 kB]


Un apt-cache show darktable donne 2 versions :
- la 2.6.1 (Filename: pool/main/d/darktable/darktable_2.6.0-1_amd64.deb)
- la 0 (Filename: ./amd64/darktable_0_amd64.deb)
Est-ce que je me suis trompé ou bien il manque une étape ?


Du coup, toujours sur le même site, je suis passé par la seconde méthode avec téléchargement du paquet darktable_0_amd64.deb, sur le conseil de Chalu (avec fonts-roboto qui est demandé) :

apt remove darktable
apt-get install fonts-roboto
dpkg -i darktable_0_amd64.deb


La version 3.0 est installée smile

Dernière modification par liovay (22-01-2020 09:54:03)

Hors ligne

#5 21-01-2020 20:29:20

liovay
Membre
Lieu : Rosny-Sous-Bois
Distrib. : Debian 10 Buster
Noyau : Linux 5.4.0-0.bpo.2-amd64
(G)UI : XFCE 4.12
Inscription : 21-10-2017

Re : Installation Darktable 3.0 sur Buster

deuchdeb a écrit :


Merci pour cette solution.

Hors ligne

#6 22-01-2020 11:14:40

liovay
Membre
Lieu : Rosny-Sous-Bois
Distrib. : Debian 10 Buster
Noyau : Linux 5.4.0-0.bpo.2-amd64
(G)UI : XFCE 4.12
Inscription : 21-10-2017

Re : Installation Darktable 3.0 sur Buster

Après usage, il s'avère qu'une mise à jour (apt-get upgrade) écrase le .deb de darktable installé manuellement.

J'ai retenté de passer par le dépôt https://software.opensuse.org/download. … =darktable :

apt remove darktable
echo 'deb http://download.opensuse.org/repositories/graphics:/darktable/Debian_10/ /' > /etc/apt/sources.list.d/graphics:darktable.list
wget -nv https://download.opensuse.org/repositories/graphics:darktable/Debian_10/Release.key -O Release.key
apt-key add - < Release.key
apt-get update


Atteint :1 http://security.debian.org/debian-security buster/updates InRelease
Atteint :2 http://httpredir.debian.org/debian buster-backports InRelease                                                  
Atteint :3 http://deb.debian.org/debian buster InRelease                                                                  
Atteint :4 http://deb.debian.org/debian buster-updates InRelease                        
Atteint :5 https://download.virtualbox.org/virtualbox/debian buster InRelease              
Atteint :6 http://download.opensuse.org/repositories/graphics:/darktable/Debian_10  InRelease
Lecture des listes de paquets... Fait


apt-cache policy darktable


darktable:
  Installé : (aucun)
  Candidat : 2.6.0-1
 Table de version :
     2.6.0-1 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
     0 500
        500 http://download.opensuse.org/repositories/graphics:/darktable/Debian_10  Packages


On voit que les deux packages sont sur la même priorité 500.

J'ai créé un fichier de pinning grace à la page https://debian-facile.org/doc:systeme:apt:pinning (je découvre, donc sans certitude de bon paramétrage) :

nano 99-stable-darktable


Package: darktable
Pin: release o=obs://build.opensuse.org/graphics:darktable/Debian_10
Pin-Priority: 900


apt-get update
apt-cache policy darktable


darktable:
  Installé : (aucun)
  Candidat : 0
 Table de version :
     2.6.0-1 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
     0 900
        500 http://download.opensuse.org/repositories/graphics:/darktable/Debian_10  Packages


apt-get install darktable


...
Réception de :1 http://download.opensuse.org/repositories/graphics:/darktable/Debian_10  darktable 0 [4024 kB]
...


Darktable 3.0 est bien installé et il n'y a plus d'écrasement à la mise à jour (apt-get upgrade).
J'espère que la solution est pérenne.

Dernière modification par liovay (22-01-2020 12:07:29)

Hors ligne

#7 01-05-2020 20:17:47

liovay
Membre
Lieu : Rosny-Sous-Bois
Distrib. : Debian 10 Buster
Noyau : Linux 5.4.0-0.bpo.2-amd64
(G)UI : XFCE 4.12
Inscription : 21-10-2017

Re : Installation Darktable 3.0 sur Buster

La dernière version stable, Darktable 3.0.2, est disponible dans les backports de buster.
C'est beaucoup plus simple à installer.

Hors ligne

Pied de page des forums